using UnityEngine;
using System.Collections;

public class ShieldSpin : MonoBehaviour {

	public float spinSpeed = 30f;
	public float spinY = 20f;
	public float spinX = 0;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {

		transform.Rotate(Vector3.forward * spinSpeed * Time.deltaTime);
		transform.Rotate(Vector3.up * spinY * Time.deltaTime);
		transform.Rotate(Vector3.right * spinX * Time.deltaTime);
				



	}
}
